Marketing
Get the active AI conversation for a template
The active conversation for a template, used to restore an in-progress chat. Returns conversationId: null when none has been started. Messages are retained for at most 90 days.
GET
/
marketing
/
ai
/
conversations
/
{templateId}
Get the active AI conversation for a template
curl --request GET \
--url https://api.jetemail.com/marketing/ai/conversations/{templateId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.jetemail.com/marketing/ai/conversations/{templateId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.jetemail.com/marketing/ai/conversations/{templateId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"conversationId": "<string>",
"messages": [
{
"id": "<string>",
"requestId": "<string>",
"role": "user",
"content": "<string>",
"result": {
"kind": "subject_variants",
"message": "<string>",
"variants": [
{
"subject": "<string>",
"previewText": "<string>"
}
],
"blockId": "<string>",
"content": "<string>",
"html": "<string>",
"subject": "<string>",
"previewText": "<string>",
"blocks": [
{}
],
"styles": {}
},
"status": "pending",
"creditCost": 123,
"errorCode": "<string>",
"createdAt": 123,
"completedAt": 123
}
]
}Authorizations
API key for account management endpoints. Use your api_ prefixed token.
Path Parameters
Template the conversation belongs to. Must be owned by the caller.
⌘I
Get the active AI conversation for a template
